Package com.documentum.operations

# Interface IDfXMLDocType

public interface IDfXMLDocType
IDfXMLDoctype provides access to XML document information such as DTD system identifier, schemaLocation, and root element name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addSchema(String schema)`
  For internal use.
  `String`
  `getDTDPublicId()`
  Returns the DTD Public Id from the given XML document.
  `String`
  `getDTDSystemId()`
  Returns the DTD System Id from the given XML document.
  `String`
  `getNameSpace()`
  Deprecated.
  DFC 5.2.
  `String`
  `getRootElement()`
  Returns the root element from the given XML document.
  `String`
  `getSchema()`
  Deprecated.
  5.3 SP1
  `IDfList`
  `getSchemaList()`
  Returns a list of schemas referenced by SchemaLocation or noNamespaceSchemaLocation.
  `String`
  `getXMLApplication()`
  Returns the xml application from the given XML document,if a processing instruction was found that indicates the XML application.
  `void`
  `setDTDPublicId(String publicId)`
  For internal use.
  `void`
  `setDTDSystemId(String systemId)`
  For internal use.
  `void`
  `setRootElement(String rootElement)`
  For internal use.
  `void`
  `setSchema(String schema)`
  Deprecated.
  5.3 SP1
  `void`
  `setXMLApplication(String xmlApplicationName)`
  For internal use.

- ## Method Details

  - ### getDTDSystemId

    String getDTDSystemId()
    Returns the DTD System Id from the given XML document. The system id, if present, is used to query for XML applications that can be applied to an inbound XML document.
    Returns:
      DTC Sytem Id from the given XML document.

  - ### getDTDPublicId

    String getDTDPublicId()
    Returns the DTD Public Id from the given XML document. The public ID, if present, is used to query for XML applications that can be applied to an inbound XML document.
    Returns:
      DTC Public Id from the given XML document.

  - ### getNameSpace

    String getNameSpace()
    Deprecated.
    DFC 5.2. Use getSchema instead.
    Returns the namespaces that are declared on the root element of the given XML document.
    Returns:
      name space from the given XML document.
    See Also:
      - `getSchema()`

  - ### getRootElement

    String getRootElement()
    Returns the root element from the given XML document. The root element is used to query for XML applications that can be applied to an inbound XML document.
    Returns:
      root element from the given XML document.

  - ### getXMLApplication

    String getXMLApplication()
    Returns the xml application from the given XML document,if a processing instruction was found that indicates the XML application.
    Returns:
      xml application from the given XML document,if a processing instruction was found that indicates the XML application.

  - ### getSchema

    String getSchema()
    Deprecated.
    5.3 SP1
    Returns the schema referenced by SchemaLocation or noNamespaceSchemaLocation. The schema name, if present, is used to query for XML applications that can be applied to an inbound XML document.
    Returns:
      the filepath of the schema, as used in the XML file.
    Since:
      DFC 5.2

  - ### getSchemaList

    IDfList getSchemaList()
    Returns a list of schemas referenced by SchemaLocation or noNamespaceSchemaLocation. The schema names, if present, are used to query for XML applications that can be applied to an inbound XML document.
    Returns:
      the filepath of the schema, as used in the XML file.
    Since:
      DFC 5.2

  - ### setSchema

    void setSchema(String schema)
    Deprecated.
    5.3 SP1
    For internal use.

  - ### addSchema

    void addSchema(String schema)
    For internal use.
    Parameters:
      `schema` -

  - ### setRootElement

    void setRootElement(String rootElement)
    For internal use.

  - ### setDTDSystemId

    void setDTDSystemId(String systemId)
    For internal use.

  - ### setDTDPublicId

    void setDTDPublicId(String publicId)
    For internal use.

  - ### setXMLApplication

    void setXMLApplication(String xmlApplicationName)
    For internal use.